#ifndef CONFIG_H
#define CONFIG_H

#define TAG_STATE  GTK_STATE_PRELIGHT

#ifndef USE_MAEMO
#define DEFAULT_IMAGE_PATH       "/tmp/gpxview/"
#define DEFAULT_MMPOI_PATH       "gpxview_poi.db"
#define DEFAULT_GARMIN_PATH      "garmin_overridden.gpx"
#define DEFAULT_FIELDNOTES_PATH  "geocache_visits_%s.txt"
#else
#if MAEMO_VERSION_MAJOR < 5
/* internal memory card */
#define DEFAULT_IMAGE_PATH       "/media/mmc2/gpxview/"
#else
#define DEFAULT_IMAGE_PATH       "/home/user/.gpxview/"
#endif
#define DEFAULT_MMPOI_PATH       "MyDocs/.documents/Maps/gpxview_poi.db"
#define DEFAULT_GARMIN_PATH      "MyDocs/.documents/garmin_overridden.gpx"
#define DEFAULT_FIELDNOTES_PATH  "MyDocs/.documents/geocache_visits_%s.txt"
#endif

#define DEFAULT_IMAGE_PATH_HOME  ".gpxview/"

#define LOCALEDIR "/usr/share/locale"
#define PACKAGE   "gpxview"

// for osm-gps-map:
#define USE_CAIRO
#define ENABLE_OSD
#define ENABLE_BALLOON

#ifdef USE_MAEMO
#define BIG_BALLOONS
#endif

#ifdef BIG_BALLOONS
#define BALLOON_AREA_WIDTH       380
#define BALLOON_AREA_HEIGHT      100
#define BALLOON_CORNER_RADIUS     20
#define OSM_GPS_MAP_OSD_DIAMETER  60
#endif

#endif // CONFIG_H
